/*
 * Специально для сайта 1injener.ru
 * Сервопривод SG90 + Arduino. Подключение [180 градусов] 
 */
//Библиотека для работы с сервоприводом
#include <Servo.h>
//Обьявление переменной - объекта
Servo servo;

void setup()
{ 
  //К пину №7 подключен управляющий вывод сервопривода
  //Данный метод библиотеки указывает пин через который происходит управление 
  servo.attach(7); 
  //servo.detach(7); - этот метод отключит управление от указанного пина.
}

void loop()
{
  //Установка вала в 0 градусов
  servo.write(0);
  delay(2000); //ждем 2 секунды. Необходимо как минимум 30 микросекунд для установки.
  
  servo.write(90); //ставим вал под 90 градусов
  delay(2000); //ждем 2 секунды.

  // В библиотеке есть функция для чтения текущего положения (угла) сервопривода.
  // Будет считано последнее установленное значение в сервоприводе.
  // int AngleServo=servo.read();
  // От 0 до 180 градусов.
  
  servo.write(180); //ставим вал под 190 градусов
  delay(2000); //ждем 2 секунды.

  //Медленно возвращаемся обратно с интервалом в 1 градус
  for(int p=179; p>=1; p--)
  {
     servo.write(p);
     delay(20);
  }
  //Угол (Установить) можно задать во времени от нуля.
  //Так как у сервопривода есть характеристика скорости поворота 0.12 сек/60 град
  //servo.writeMicroseconds(1000);
  //То можно установить угол расчитав время.
}
